Replace deprecated with non-deprecated V8 APIs
authorJochen Eisinger <jochen@chromium.org>
Sun, 17 May 2015 11:07:02 +0000 (13:07 +0200)
committerJochen Eisinger <jochen@chromium.org>
Sun, 17 May 2015 11:07:02 +0000 (13:07 +0200)
commitd94df885e9e680e7dc8a5ac116c8d4ab5e4790cd
tree0fcfab1afcc892edd79086b86a6bcb29bfefcd0c
parent1962d61b28df03284e3e5c6de6a19f397a066e68
Replace deprecated with non-deprecated V8 APIs

In most cases, we just CHECK() that no exception was thrown. Previously,
we'd just crash.

Ideally, this should all be fixed and the system should cope with those
exceptions, but that's beyond this CL.

R=tsepez@chromium.org
BUG=

Review URL: https://codereview.chromium.org/1126203010
fpdfsdk/include/jsapi/fxjs_v8.h
fpdfsdk/src/javascript/JS_Value.cpp
fpdfsdk/src/javascript/global.cpp
fpdfsdk/src/jsapi/fxjs_v8.cpp